org.jboss.resteasy.spi

## Class NoLogWebApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - org.jboss.resteasy.spi.NoLogWebApplicationException

- All Implemented Interfaces:
    Serializable

      public class NoLogWebApplicationException
      extends WebApplicationException

  WebApplicationExceptions are logged by RESTEasy. Use this exception when you don't want your exception logged
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoLogWebApplicationException()`
    `NoLogWebApplicationException(int status)`
    `NoLogWebApplicationException(Response.Status status)`
    `NoLogWebApplicationException(Response response)`
    `NoLogWebApplicationException(Throwable cause)`
    `NoLogWebApplicationException(Throwable cause, int status)`
    `NoLogWebApplicationException(Throwable cause, Response.Status status)`
    `NoLogWebApplicationException(Throwable cause, Response response)`

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException()

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Response response)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(int status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Response.Status status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Throwable cause)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Throwable cause,
                                      Response response)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Throwable cause,
                                      int status)

    - #### NoLogWebApplicationException

          public NoLogWebApplicationException(Throwable cause,
                                      Response.Status status)

Copyright © 2014. All Rights Reserved.